package cz.fi.muni.pa165.dao;


import java.util.List;
import java.util.UUID;

/**
 * @author Dominik Kozubík
 */
public interface BaseDao <T> {

    void create(T t);

    List<T> findAll();

    T findById(UUID id);

    void remove(T t);
}
