package cz.fi.muni.pa165.entity;

import cz.fi.muni.pa165.enums.CountryEnum;

import lombok.Data;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

import java.util.Date;

@Data
@Entity
public class PersonEntity extends BaseEntity {

    @NotNull
    @Column
    private String name;

    @Column
    private Date birth;

    @Column
    @Enumerated
    private CountryEnum country;

    public PersonEntity(String name, Date birth, CountryEnum country) {
        this.name = name;
        this.birth = birth;
        this.country = country;
    }

    public PersonEntity() {}

}
